#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n],b[n];
    for (int i=0;i<n;i++)
        cin>>a[i];
    for (int i=0;i<n;i++)
        cin>>b[i];
    int rez=0,reztemp;
    for (int i=0;i<n;i++)
    {
        for (int j=i;j<n;j++)
        {
            int axor=a[i];
            for (int k=i+1;k<=j;k++)
            {
                axor = axor^a[k];
            }
            int band=b[i];
            for (int k=i+1;k<=j;k++)
            {
                band = band&b[k];
            }
            reztemp=axor*band;
            if (reztemp>rez)
            {
                rez=reztemp;
            }
        }
    }
    cout<<rez;
}